.\" $NetBSD: isdntel.8,v 1.4 2002/02/08 01:38:49 ross Exp $
.\"
.\" Copyright (c) 1997, 1999 Hellmuth Michaelis. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	last edit-date: [Mon Dec 13 23:05:59 1999]
.\"
.\" $FreeBSD$
.\"
.\"	$Id: isdntel.8,v 1.5 2002/07/29 01:05:37 wiz Exp $
.\"
.Dd July 11, 1998
.Dt ISDNTEL 8
.Os
.Sh NAME
.Nm isdntel
.Nd isdn4bsd telephone answering management utility
.Sh SYNOPSIS
.Nm isdntel
.Op Fl a Ar aliasfile
.Op Fl d Ar spooldir
.Op Fl p Ar playcommand
.Op Fl t Ar timeout
.Sh DESCRIPTION
.Nm
is used to provide an
.Dq answering machine
functionality for incoming telephone voice messages.
.Pp
The following options are supported:
.Bl -tag -width Ds
.It Fl a
Use
.Ar aliasfile
as the pathname for an aliasfile containing aliases for phone numbers. The
default path is
.Pa /etc/isdn/isdntel.alias .
The format of an alias entry is the number string followed by one or more
spaces or tabs. The rest of the line is taken as the alias string. Comments
are introduced by a leading blank, tab or
.Dq #
character.
.It Fl d
Use
.Ar spooldir
as the directory where the incoming voice messages are stored by the
.Dq answ
script called by
.Xr isdnd 8 .
This defaults to the directory
.Pa /var/isdn .
The format of a voice message filename is:
.Pp
.Dl YYMMDDhhmmss-dest_number-source_number-length_in_secs
.It Fl p
Use
.Ar playcommand
as the command string to execute for playing a voice message to some audio
output facility. The characters
.Em %s
are replaced by the currently selected filename. The default string is
.Em cat %s | alaw2ulaw \*[Gt]/dev/audio
.It Fl t
The value for
.Ar timeout
specifies the time in seconds the program rereads the spool directory
when there is no keyboard activity.
.El
.Pp
The screen output should be obvious. If in doubt, consult the source.
.Sh SEE ALSO
.Xr isdntel 4 ,
.Xr isdnd.rc 5 ,
.Xr isdnd 8
.Sh AUTHORS
The
.Nm
utility and this manual page were written by
.An Hellmuth Michaelis Aq hm@kts.org .
